<?php
/**
 * Clase Base Bean para BaseCrSucursalValidadorBN
 *
 * @package    Sedapal
 * @subpackage BaseCrSucursalValidadorBN
 * @author     Willy
 * @version    SVN:: BaseCrSucursalValidadorBN.class.php,v 1.1 2022-12-31 10:02:57 william.taype Exp $
 */
abstract class BaseCrSucursalValidadorBN
{
  protected $IdSucursal;
  protected $IdColaborador;
  protected $IdRol;
  protected $Estado;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $Mensaje;
  protected $Error;

  public function getIdSucursal(){
    return $this->IdSucursal;
  }
  public function setIdSucursal($v1){
    $this->IdSucursal = $v1; 
  }

  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v1){
    $this->IdColaborador = $v1; 
  }

  public function getIdRol(){
    return $this->IdRol;
  }
  public function setIdRol($v1){
    $this->IdRol = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v1){
    $this->UsuarioCreacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_sucursal_validadorBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_sucursal_validadorRs )
  {
    $o_CrSucursalValidadorBN = new CrSucursalValidadorBN();
    $o_CrSucursalValidadorBN->setIdSucursal( $o_Cr_sucursal_validadorRs['IdSucursal'] );
    $o_CrSucursalValidadorBN->setIdColaborador( $o_Cr_sucursal_validadorRs['IdColaborador'] );
    $o_CrSucursalValidadorBN->setIdRol( $o_Cr_sucursal_validadorRs['IdRol'] );
    $o_CrSucursalValidadorBN->setEstado( $o_Cr_sucursal_validadorRs['Estado'] );
    $o_CrSucursalValidadorBN->setFechaCreacion( $o_Cr_sucursal_validadorRs['FechaCreacion'] );
    $o_CrSucursalValidadorBN->setUsuarioCreacion( $o_Cr_sucursal_validadorRs['UsuarioCreacion'] );
    return $o_CrSucursalValidadorBN;
  }
}